Page MenuHomePhabricator

Email's footer should not be partially displayed in Email Notifications for short email messages
Closed, ResolvedPublic

Description

  1. Send an email via Special:EmailUser - leave the pre-filled email subject intact and type a short message - less than one full line.
  2. A user receives an Email Notification - the excerpt of email's body will be displayed along with the part of the email footer.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: Notifications.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 16 2016, 6:21 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Change 272836 had a related patch set uploaded (by Sbisson):
Remove footer from email notification excerpt

https://gerrit.wikimedia.org/r/272836

SBisson triaged this task as Normal priority.Feb 23 2016, 9:31 PM

@Etonkovidova, What is the purpose of showing part of the footer? Especially if, as in the example, the footer seems to repeat info that the message header is already showing--namely the sender. (I don't see any mention of the footer in the Notifications spreadsheet. Where did this idea come from?)

@Etonkovidova, What is the purpose of showing part of the footer? Especially if, as in the example, the footer seems to repeat info that the message header is already showing--namely the sender. (I don't see any mention of the footer in the Notifications spreadsheet. Where did this idea come from?)

The footer is automatically included (it's legally required, IIUC, hence wasn't part of the set of things we were reexamining in the spreadsheet).
This bug is about filtering out the text of footer, from their onwiki notifications.

@jmatazzoni - the footer was shown because the email body is too short. The text excerpt from email's body gets truncated to a certain length, e.g. extract two lines. In this case, email text is very short, so part of the footer was grabbed.

Mattflaschen-WMF renamed this task from Email's footer is partially displayed in Email Notifications for short email messages to Email's footer should not be partially displayed in Email Notifications for short email messages.Feb 24 2016, 1:27 AM

Thanks for he change of title @Mattflaschen. I thought this was a new feature being introduced. Now I get it!

Change 272836 merged by jenkins-bot:
Remove footer from email notification excerpt

https://gerrit.wikimedia.org/r/272836

It's been fixed - even if an email message is very short, the email footer is not displayed in Echo Notificaitons(or on the Notificaiton page).

If the email consists of multiple paragraphs that are very short, does the system consolidate them into one line? E.g.,

Hey There,
Thanks for the reviewing my page.
See you later man!

Should be excerpted as:

Hey There, Thanks for the reviewing my page. See...

Is that what it's doing?

If the email consists of multiple paragraphs that are very short, does the system consolidate them into one line? E.g.,

Hey There,
Thanks for the reviewing my page.
See you later man!

Should be excerpted as:

Hey There, Thanks for the reviewing my page. See...

Is that what it's doing?

That's exactly what we are trying to do.

Adding screenshots for the case with multiline emails with newline breaks.

jmatazzoni closed this task as Resolved.Feb 26 2016, 9:34 PM